org.keycloak.models.map.realm.entity

## Class MapRequiredActionProviderEntity

- java.lang.Object
- - org.keycloak.models.map.realm.entity.MapRequiredActionProviderEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class MapRequiredActionProviderEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static MapRequiredActionProviderEntity` | `fromModel(RequiredActionProviderModel model)`
    `String` | `getAlias()`
    `Map<String,String>` | `getConfig()`
    `String` | `getId()`
    `String` | `getName()`
    `Integer` | `getPriority()`
    `String` | `getProviderId()`
    `int` | `hashCode()`
    `Boolean` | `isDefaultAction()`
    `Boolean` | `isEnabled()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setAlias(String alias)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDefaultAction(boolean defaultAction)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setPriority(int priority)`
    `void` | `setProviderId(String providerId)`
    `static RequiredActionProviderModel` | `toModel(MapRequiredActionProviderEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static MapRequiredActionProviderEntity fromModel(RequiredActionProviderModel model)

    - #### toModel

          public static RequiredActionProviderModel toModel(MapRequiredActionProviderEntity entity)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getPriority

          public Integer getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### isEnabled

          public Boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isDefaultAction

          public Boolean isDefaultAction()

    - #### setDefaultAction

          public void setDefaultAction(boolean defaultAction)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.